# postypes.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file postypes.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_POSTYPES_H

## Typedefs

- typedef long long streamoff
- typedef fpos< mbstate_t > streampos
- typedef ptrdiff_t streamsize
- typedef fpos< mbstate_t > wstreampos

## Typedef Documentation

typedef long long streamoff

| Type used by fpos, char_traits<char>, and char_traits<wchar_t>. Definition at line 74 of file postypes.h.

typedef fpos<mbstate_t> streampos

| File position for char streams. Definition at line 210 of file postypes.h.

typedef ptrdiff_t streamsize

| Integral type for I/O operation counts and buffer sizes. Definition at line 78 of file postypes.h.

typedef fpos<mbstate_t> wstreampos

| File position for wchar_t streams. Definition at line 212 of file postypes.h.